Install PyQuery under Cygwin

Quick snippet for you Cygwin users out there wanting to use the awesome PyQuery library. If you've tried to run a pip install pyquery or easy_install pyquery, you may have been greeted with a wall of GCC error messages. If this has happened to you, don't worry, the solution is simple!

Get lxml running

The main problem comes down to lxml not being available in your current cygwin installation. Simply follow the instructions on this life-saving article, and you'll have lxml up running in no time. Don't forget to follow the instructions pertaining to debugging format.

You're Done!?!?!

That's right! Now just pip install pyquery and you should be good to go. August 18, 2011
About the Author:

Joseph is the lead developer of Vert Studios Follow Joseph on Twitter: @Joe_Query
Subscribe to the blog: RSS
Visit Joseph's site: